<template>
  <Collapse>
    <template #default="{ collapsed, toggle }">
      <button
        :class="{ 'border-b border-gray-900/10': !collapsed }"
        class="flex w-full items-center justify-between p-3 text-left text-sm font-medium leading-6 text-gray-800 hover:cursor-pointer focus:outline-none focus:ring-2 focus:ring-primary-500"
        type="button"
        @click="toggle"
      >
        <slot name="button" />
        <ChevronDownRegularIcon
          :class="{ 'rotate-180': !collapsed }"
          aria-hidden="true"
          class="mx-2 h-4 w-4 fill-current transition-transform"
        />
      </button>
    </template>
    <template #content>
      <slot />
    </template>
  </Collapse>
</template>

<script lang="ts" setup>
import Collapse from "@/js/contexts/shared/ui/components/collapse/Collapse.vue";
import ChevronDownRegularIcon from "@/svg/icons/chevron-down-regular.svg?component";
</script>
